Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Costs

Server
Download schema

Get cost data

GET
https://api.costfluent.com
/v1/costs
Bearer (API token)

Returns cost data for one optional grouping dimension, filtered by the supplied cost filter

Get cost data › query Parameters

startDate
​string · date · required
endDate
​string · date · required
granularity
​string · required
includeCredits
​boolean · required
includeRefunds
​boolean · required
includeTax
​boolean · required
amortize
​boolean · required
page
​integer · int32 · required
pageSize
​integer · int32 · required
groupBy
​string | null
cloudAccountIds
​array | null · style: form · explode: true
filter
​string | null

Get cost data › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostDataResponse
​CostfluentPublicApiModelsV1ResponsesCostDataPoint[]
​CostfluentPublicApiModelsV1ResponsesCostDataMeta
GET/v1/costs
curl 'https://api.costfluent.com/v1/costs?startDate=<string>&endDate=<string>&granularity=<string>&includeCredits=<bool>&includeRefunds=<bool>&includeTax=<bool>&amortize=<bool>&page=<number>&pageSize=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": [ { "date": "2024-08-25", "cost": 0, "listCost": 0, "amortizedCost": 0, "currency": "currency", "dimensions": { "key": "string" } } ], "meta": { "startDate": "2024-08-25", "endDate": "2024-08-25", "granularity": "granularity", "totalRecords": 0, "totalCost": 0, "historyFloor": "2024-08-25" } }
json
application/json

Get cost forecast

GET
https://api.costfluent.com
/v1/costs/forecast
Bearer (API token)

Returns cost forecast for the upcoming months

Get cost forecast › query Parameters

workspaceId
​string · required
months
​integer · int32 · required

Get cost forecast › Responses

Success

CostfluentPublicApiEndpointsV1CostDataCostForecastResponse
currentMonthActual
​number · double
isAvailable
​boolean
currentMonthForecast
​number | null · double
method
​string | null
currency
​string | null
confidencePercent
​number | null · double
generatedAt
​string | null · date-time
​CostfluentPublicApiEndpointsV1CostDataForecastMonthResponse[]
GET/v1/costs/forecast
curl 'https://api.costfluent.com/v1/costs/forecast?workspaceId=<string>&months=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "currentMonthActual": 0, "isAvailable": true, "currentMonthForecast": 0, "method": "method", "currency": "currency", "confidencePercent": 0, "generatedAt": "2024-08-25T15:00:00Z", "forecast": [ { "month": "month", "amount": 0, "lowerBound": 0, "upperBound": 0 } ] }
json
application/json

Get cost summary

GET
https://api.costfluent.com
/v1/costs/summary
Bearer (API token)

Returns aggregated cost summary with comparisons

Get cost summary › query Parameters

startDate
​string · date · required
endDate
​string · date · required
includeCredits
​boolean · required
includeRefunds
​boolean · required
includeTax
​boolean · required
amortize
​boolean · required
cloudAccountIds
​array | null · style: form · explode: true
filter
​string | null

Get cost summary › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostSummaryResponse
totalCost
​number · double
totalListCost
​number · double
totalAmortizedCost
​number · double
currency
​string
costChange
​number · double
costChangePercent
​number · double
​CostfluentPublicApiModelsV1ResponsesServiceCostBreakdown[]
​CostfluentPublicApiModelsV1ResponsesProviderCostBreakdown[]
historyFloor
​string | null · date
GET/v1/costs/summary
curl 'https://api.costfluent.com/v1/costs/summary?startDate=<string>&endDate=<string>&includeCredits=<bool>&includeRefunds=<bool>&includeTax=<bool>&amortize=<bool>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "totalCost": 0, "totalListCost": 0, "totalAmortizedCost": 0, "currency": "currency", "costChange": 0, "costChangePercent": 0, "topServices": [ { "serviceName": "serviceName", "cost": 0, "percentage": 0 } ], "byProvider": [ { "providerId": { "Value": "Value" }, "providerName": "providerName", "providerKey": "providerKey", "cost": 0 } ], "historyFloor": "2024-08-25" }
json
application/json

Cost DataCost Alerts